﻿Imports MindFusion.Charting

Public Class MainForm

	Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		lineChart.LineType = LineType.Curve

		' set MinValue and MaxValue of axes to avoid searching all data
		lineChart.XAxis.MinValue = 0
		lineChart.XAxis.MaxValue = 200
		lineChart.XAxis.Title = "X Axis"
		lineChart.YAxis.MinValue = -50
		lineChart.YAxis.MaxValue = 150
		lineChart.YAxis.Title = "Y Axis"

		' Generator.IsSorted returns true for X axis, so the chart uses O(log(n)) search algorithms
		lineChart.Series.Add(New Generator(500000, 1000000, 100, "Generated series 1"))
		lineChart.Series.Add(New Generator(250000, 20000, 50, "Generated series 2"))

		' customize appearance
		lineChart.ShowLegend = True
		lineChart.ShowLegendTitle = False
		lineChart.LegendHorizontalAlignment = MindFusion.Charting.Components.LayoutAlignment.Far
		lineChart.LegendVerticalAlignment = MindFusion.Charting.Components.LayoutAlignment.Near
		lineChart.Theme.LegendBackground = New MindFusion.Drawing.SolidBrush(Color.Transparent)
		lineChart.Theme.CommonSeriesStrokes = New List(Of MindFusion.Drawing.Brush)() From {
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(90, 121, 165)),
		  New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0))
		}
		lineChart.Theme.CommonSeriesFills = New List(Of MindFusion.Drawing.Brush)() From {
		 New MindFusion.Drawing.SolidBrush(Color.FromArgb(90, 121, 165)),
		 New MindFusion.Drawing.SolidBrush(Color.FromArgb(206, 0, 0))
		}

		' opaque legend background makes the chart slower 
		'lineChart.Theme.LegendBackground = New MindFusion.Drawing.SolidBrush(Color.White)

		' grid rendering makes the chart slower
		'lineChart.Theme.GridColor1 = Color.White
		'lineChart.Theme.GridColor2 = Color.FromArgb(245, 245, 245)
		'lineChart.GridType = GridType.Horizontal

	End Sub

End Class
